Subject: [P2PSIP] Clients node-id in RELOAD

From: Roni Even <[email-masked]>
Date: Sun, 23 Aug 2009 17:36:57 +0300

Hi,

I looked at the client procedures in RELOAD and I am not sure I understand
how the client provides its responsible peer his client-id. I assume that
ATTACH is being used to form the direct connection from the client to the
responsible peer.

BTW: In section E.1  the text says -  " A node acting as a  client that has
a full implementation of RELOAD and the appropriate  overlay algorithm is
capable of locating its responsible peer in the  overlay and using CONNECT
to establish a direct connection to that  peer." I think that CONNECT is an
old message from the individual draft and it should have said ATTACH.
 
Thanks
Roni Even

---

From: jc <[email-masked]>
Date: Sun, 23 Aug 2009 09:20:06 -0700

Roni,
Clients have two options described in section 3.2.1 to use the  
overlay. The client-id is stored in it's certificate so it's  
responsible peer or any other node already has this if a TLS/DTLS  
connection handshake has completed. See section 3.1 for more  
information.

As far as section E.1 CONNECT is now an AppAttach message.

Julian

On Aug 23, 2009, at 7:36 AM, Roni Even wrote:

> Hi,
> I looked at the client procedures in RELOAD and I am not sure I  
> understand how the client provides its responsible peer his client- 
> id. I assume that ATTACH is being used to form the direct connection  
> from the client to the responsible peer.
> BTW: In section E.1  the text says -  " A node acting as a  client  
> that has a full implementation of RELOAD and the appropriate   
> overlay algorithm is capable of locating its responsible peer in  
> the  overlay and using CONNECT to establish a direct connection to  
> that  peer." I think that CONNECT is an old message from the  
> individual draft and it should have said ATTACH.
>
> Thanks
> Roni Even
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip